package com.petshop.backend.dto.pet;

public class MyPetResponse {

    private Long customerPetId;
    private String petName;
    private String species;
    private String breed;
    private Integer petAge;
    private String imageUrl;
    private String petStatus;

    public MyPetResponse() {
    }

    public MyPetResponse(Long customerPetId, String petName, String species, String breed, Integer petAge, String imageUrl, String petStatus) {
        this.customerPetId = customerPetId;
        this.petName = petName;
        this.species = species;
        this.breed = breed;
        this.petAge = petAge;
        this.imageUrl = imageUrl;
        this.petStatus = petStatus;
    }

    public Long getCustomerPetId() {
        return customerPetId;
    }

    public void setCustomerPetId(Long customerPetId) {
        this.customerPetId = customerPetId;
    }

    public String getPetName() {
        return petName;
    }

    public void setPetName(String petName) {
        this.petName = petName;
    }

    public String getSpecies() {
        return species;
    }

    public void setSpecies(String species) {
        this.species = species;
    }

    public String getBreed() {
        return breed;
    }

    public void setBreed(String breed) {
        this.breed = breed;
    }

    public Integer getPetAge() {
        return petAge;
    }

    public void setPetAge(Integer petAge) {
        this.petAge = petAge;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getPetStatus() {
        return petStatus;
    }

    public void setPetStatus(String petStatus) {
        this.petStatus = petStatus;
    }
}
